# Uses of Interface
org.springframework.beans.support.SortDefinition

Packages that use SortDefinition
Package
Description
org.springframework.beans.support
Classes supporting the org.springframework.beans package, such as utility classes for sorting and holding lists of beans.

## Uses of SortDefinition in org.springframework.beans.support

Classes in org.springframework.beans.support that implement SortDefinition
Modifier and Type
Class
Description
`class`
`MutableSortDefinition`
Mutable implementation of the `SortDefinition` interface.
Methods in org.springframework.beans.support that return SortDefinition
Modifier and Type
Method
Description
`protected SortDefinition`
PagedListHolder.`copySortDefinition(SortDefinition sort)`
Create a deep copy of the given sort definition, for use as state holder to compare a modified sort definition against.
`SortDefinition`
PagedListHolder.`getSort()`
Return the sort definition for this holder.
`final SortDefinition`
PropertyComparator.`getSortDefinition()`
Return the SortDefinition that this comparator uses.
Methods in org.springframework.beans.support with parameters of type SortDefinition
Modifier and Type
Method
Description
`protected SortDefinition`
PagedListHolder.`copySortDefinition(SortDefinition sort)`
Create a deep copy of the given sort definition, for use as state holder to compare a modified sort definition against.
`protected void`
PagedListHolder.`doSort(List<E> source, SortDefinition sort)`
Actually perform sorting of the given source list, according to the given sort definition.
`void`
PagedListHolder.`setSort(SortDefinition sort)`
Set the sort definition for this holder.
`static void`
PropertyComparator.`sort(Object[] source, SortDefinition sortDefinition)`
Sort the given source according to the given sort definition.
`static void`
PropertyComparator.`sort(List<?> source, SortDefinition sortDefinition)`
Sort the given List according to the given sort definition.
Constructors in org.springframework.beans.support with parameters of type SortDefinition
Modifier
Constructor
Description
``
`MutableSortDefinition(SortDefinition source)`
Copy constructor: create a new MutableSortDefinition that mirrors the given sort definition.
``
`PagedListHolder(List<E> source, SortDefinition sort)`
Create a new holder instance with the given source list.
``
`PropertyComparator(SortDefinition sortDefinition)`
Create a new PropertyComparator for the given SortDefinition.